| Kea 3.0.2-git

io_service_thread_pool.h File Reference
`#include <asiolink/io_service.h>`
`#include <util/unlock_guard.h>`
`#include <boost/shared_ptr.hpp>`
`#include <condition_variable>`
`#include <list>`
`#include <mutex>`
`#include <thread>`
Include dependency graph for io_service_thread_pool.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiolink::IoServiceThreadPool
| Implements a pausable pool of IOService driven threads. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiolink

## Typedefs
typedef boost::shared_ptr< IoServiceThreadPool > | isc::asiolink::IoServiceThreadPoolPtr
| Defines a pointer to a thread pool.